
Infrastructure - Bug #7386

the ReserveIdentifierService allows SIDs already in use to be reserved.

2015-09-25 19:35 - Rob Nahf

Status: Closed Start date: 2015-09-25

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Looking at the ReserveIdentifierService code, the only check on an identifier that it's not already in use is doing a lookup in the Hz

system metadata map, which only has PIDs as keys.  A possible solution is to use CN.resolve (or CN.getSystemMetadata) instead,

but need to check that it's appropriate to introduce a dependency on the CN rest service.

The impact is that hasReservation doesn't give a reliable result.

Related issues:

Related to Infrastructure - Story #7419: hasReservation should not check if a... Closed 2015-10-08

History

#1 - 2015-09-25 19:42 - Rob Nahf

- Description updated

#2 - 2015-10-09 22:09 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

I've updated the service to call cn.getsystemmetadata to check if the identifier is a sid. needs testing.

#3 - 2015-10-09 22:10 - Ben Leinfelder

- Related to Story #7419: hasReservation should not check if an Identifier is already registered added

#4 - 2015-10-10 13:23 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

now using cn.listObjects() since this method does not constrain results using access control rules so there is no need to worry about the reserve

service being correctly configured to make client calls using the CN certificate.
